Subject: bug#442: bash: cannot use job control in an unprivileged LXC container

From: Mark Hindley <[email-masked]>
Date: Fri, 8 May 2020 11:51:31 +0100

On Fri, May 08, 2020 at 07:43:50PM +0900, Ryutaroh Matsumoto wrote:
> Hi Mark,
> 
> > Is that not seen on  Debian running systemd or sysvinit?
> 
> I do not see this symptom with
> 
> Host Linux = Debian Bullseye (lxc version 4.0.2 in Debian experimental)
> Guest Linux = Debian Buster runnning systemd-sysv (bash package version is 5.0-4).
> 
> I cannot test sysvinit on Buster, because Debian Buster does not have
> the sysvinit-core package!!!!!

I think it does:

sysvinit-core | 2.88dsf-59    | oldoldstable | amd64, armel, armhf, i386
sysvinit-core | 2.88dsf-59.9  | oldstable    | amd64, arm64, armel, armhf, i386, mips, mips64el, mipsel, ppc64el, s390x
sysvinit-core | 2.93-8        | stable       | amd64, arm64, armel, armhf, i386, mips, mips64el, mipsel, ppc64el, s390x
sysvinit-core | 2.96-3        | testing      | amd64, arm64, armel, armhf, i386, mips64el, mipsel, ppc64el, s390x
sysvinit-core | 2.96-3        | unstable     | amd64, arm64, armel, armhf, i386, mips64el, mipsel, ppc64el, s390x

But no matter, I was just trying to narrow down possibilities.

> 
> > This message is usually seen when there is no tty allocated. Are you logging in
> > from a text terminal or x terminal?
> 
> "lxc-start -F -n devuan" was started from tty3 (text).

The usual quoted workaround for this sysmptom is using setsid(1) so that
the  process is a session leader. However, I don't have any experience with lxc
to know if that is possible or relevant in this case.

Best wishes

Mark